@import "../../../../style/variables";
.schedule-layout {
  max-width: 1240px;
  display: flex;
  margin: 30px auto;
  flex-wrap: wrap;
  padding: 5px;
  &-navBar {
    width: 100%;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    height: 40px;
    .btn {
      background-color: #325572;
      color: white !important;
    }
  }
  &-content {
    min-width: 100%;
  }
}
.autoScheduleVo-wrapper {
  display: flex;
  justify-content: center;
  margin-top: 30px;
}
.auto-schedule__container {
  width: 100%;
  height: 100%;
  padding: 30px;
  font-size: 18px;
}
.back_white {
  background-color: white !important;
}

.auto-schedule__container-buttons-selectDay {
  display: flex;
  justify-content: space-between;
  margin: 15px 5px;
  a {
    width: 40%;
    border: solid 1px #325572;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 40px;
  }
  a:hover {
    color: #6b9dc5;
    border-color: #6b9dc5;
  }
}
.auto-schedule__container-buttons {
  padding: 15px 30px;
  width: 100%;
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  .buttons {
    width: 30%;
    /*  margin: 15px; */
    background-color: white;
    color: #325572;
    border: solid 1px #325572;
    font-weight: 500;
    font-size: 18px;
    height: 40px;
  }
  .buttons:hover {
    background-color: white;
    color: #325572;
    border: solid 1px #325572;
  }
  .active {
    background-color: #325572;
    color: white;
  }
  .active:hover {
    background-color: #325572;
    color: white;
  }
}

.auto-schedule__container-groups-container {
  width: 100%;
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 15px 30px;

  .select {
    width: 48%;
    height: 40px;
  }
}
.auto-schedule__container-teacher-container {
  width: 100%;
  align-items: center;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 15px 30px;
  .select {
    width: 100%;
    height: 40px;
  }
}
.auto-schedule__container-date-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  width: 100%;
  padding-left: 30px;
  padding-right: 30px;
  .button {
    width: 30%;
  }
}
.auto-schedule__container-lessons-container {
  .group-info {
    width: 100%;
    height: 100%;
    padding: 15px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    background-color: white;
    .first-container {
      display: flex;

      .group-info-name {
        font-size: 24px;
        color: #325572;
        font-weight: 500;
        margin-right: 5px;
      }
      .group-info-mark {
        cursor: pointer;
      }
    }
    .second-container {
      color: #325572;
      .group-info-date {
        margin-bottom: 5px;
      }
      .group-info-week {
        text-align: center;
      }
    }
  }

  .absent {
    height: 50px;
    text-align: center;
    padding: 15px;
    margin: 30px;
  }
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 15px;
  background-color: #f1f2f7;
  .lessons-container {
    width: 100%;
    display: flex;
    color: #325572;

    &-number {
      box-sizing: border-box;
      min-width: 10%;

      display: flex;
      justify-content: center;
      border: 4px solid white;
      padding: 15px;
      div {
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 20px;
        font-weight: 500;
        color: white;
        background-color: #325572;
        border-radius: 50%;
        width: 40px;
        height: 40px;
      }
    }
    &-time {
      min-width: 10%;
      border: 4px solid white;
      padding: 15px;
      text-align: center;
      div {
        margin-bottom: 5px;
      }
    }
    &-lessons-common {
      min-width: 60%;
      border: 4px solid white;
      padding: 15px;
      width: 300px;
      &-lesson {
        font-size: 20px;
        margin-bottom: 10px;
        font-weight: 500;
      }
      &-teacher {
        font-size: 16px;
      }
    }
    &-auditory {
      text-align: center;
      min-width: 20%;
      width: 80px;
      border: 4px solid white;
      padding: 15px;
    }
  }
}

@include laptop {
  .auto-schedule__container-buttons-selectDay {
    padding: 0 !important;
    margin: 10px 5px;
  }
  .auto-schedule__container {
    h2 {
      text-indent: 0;
    }
  }
  .auto-schedule__container-buttons {
    padding: 15px 5px;
    .buttons {
      width: 100%;
      margin: 5px 0;
    }
  }
  .auto-schedule__container-groups-container {
    padding: 15px 0px;
    .select {
      margin-left: 5px;
      margin-right: 5px;
    }
  }
  .auto-schedule__container-teacher-container {
    padding: 15px 0px;
    .select {
      width: 100%;
      margin-left: 5px;
      margin-right: 5px;
    }
  }
  .auto-schedule__container-date-container {
    padding-left: 0px;
    padding-right: 0px;
    .button {
      width: 30%;
      margin: 5px;
    }
  }
}
@media screen and (max-width: 895px) {
  .auto-schedule__container-lessons-container {
    .lessons-container {
      display: flex;
      flex-wrap: wrap;
      &-number {
        order: 0;
        width: calc(100% / 3);
      }
      &-time {
        order: 1;
        width: calc(100% / 3);
        div {
          margin-bottom: 5px;
        }
      }
      &-lessons-common {
        order: 3;
        flex-wrap: wrap;
        width: 100%;
        border-top: 0px solid white;
      }
      &-auditory {
        width: calc(100% / 3);
        order: 2;
      }
    }
  }
}

@media screen and (max-width: 592px) {
  .auto-schedule__container {
    padding: 10px;
    .auto-schedule__container-groups-container {
      padding: 15px 0px;
      .select {
        width: 100%;
        margin-left: 5px;
        margin-right: 5px;
      }
    }
  }
}
@media screen and (max-width: 570px) {
  .auto-schedule__container {
    padding: 10px 0 10px 0;
    .auto-schedule__container-date-container {
      padding-left: 0px;
      padding-right: 0px;
      .button {
        width: 100%;
        margin: 5px;
      }
    }
  }
}
